%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

Name:          picketbox-xacml
# Newer release are available here https://github.com/picketbox/security-xacml/tags
Version:       2.0.8
Release:       3%{?dist}
Summary:       JBoss XACML
# BSD: most of the code in ./jboss-sunxacml
# see ./jboss-sunxacml/src/main/java/org/jboss/security/xacml/sunxacml/AbstractPolicy.java as example
License:       BSD and LGPLv2+
URL:           http://picketbox.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/security/security-xacml/tags/2.0.8.Final/ picketbox-xacml-2.0.8.Final
# tar cafJ picketbox-xacml-2.0.8.Final.tar.xz picketbox-xacml-2.0.8.Final
Source0:       %{name}-%{namedversion}.tar.xz
Patch0:        xml-apis.patch

BuildArch:     noarch

BuildRequires: maven-local
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.apache.maven.plugins:maven-release-plugin)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.picketbox:picketbox-commons)

%description
JBoss XACML Library

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%pom_disable_module assembly

%patch0 -p1

# https://issues.jboss.org/browse/SECURITY-949
cp -p jboss-sunxacml/src/main/resources/licenses/JBossORG-EULA.txt .
cp -p jboss-sunxacml/src/main/resources/licenses/sunxacml-license.txt .

rm .classpath

%mvn_file :jboss-xacml %{name}
%mvn_file :jboss-sunxacml picketbox-sunxacml
%mvn_alias :jboss-xacml org.jboss.security:jbossxacml
%mvn_package ::pom: __noinstall

%build
# Disabled tests because OpenDS is needed
%mvn_build -f -- -Dadditionalparam="-Xdoclint:none"

%install
%mvn_install -- -Dadditionalparam="-Xdoclint:none"

%files -f .mfiles
%license JBossORG-EULA.txt

%files javadoc -f .mfiles-javadoc
%license JBossORG-EULA.txt sunxacml-license.txt

%changelog
* Thu May 11 2017 Benjamin Lefoul <lef@fedoraproject.org> - 2.0.8-3
- Disabled doclint and used patch instead of pom_change_dep (not in EL7)

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Jul 15 2016 gil cattaneo <puntogil@libero.it> 2.0.8-1
- updated to 2.0.8
- use POM macros
- update URL field
- remove some rpmlint problems
- add license files

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.7-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Tue Apr 15 2014 Michael Simacek <msimacek@redhat.com> - 2.0.7-8
- Use mvn_build

* Fri Mar 28 2014 Michael Simacek <msimacek@redhat.com> - 2.0.7-7
- Use Requires: java-headless rebuild (#1067528)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 2.0.7-4
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Mon Aug 6 2012 Ricardo Arguello <ricardo@fedoraproject.org> 2.0.7-3
- Added BR: maven-enforcer-plugin

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Mar 2 2012 Ricardo Arguello <ricardo@fedoraproject.org> 2.0.7-1
- Updated to 2.0.7
- Relocated jars to _javadir

* Sun Feb 19 2012 Ricardo Arguello <ricardo@fedoraproject.org> 2.0.6-2
- Fixed summary, description and URL

* Mon Nov 21 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.6-1
- Initial packaging
